Skip to content

Get template in project
GA

Request

Returns a template for a project, with the specified name and language.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

templateCodestringrequired

The unique name of the template.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Template

Bodyapplication/json
codestringrequired

Registered delivery template code

idstring

The unique ID of the template.

statestring(KakaotalkTemplateStates)

The current state of the template.

Enum:"APPROVED""REJECTED"
changesobject(KakaotalkTemplateChangesDto)

Any pending changes to the template.

detailsobject(KakaotalkTemplateDetailsDto)

Template details and information.

createdstring

The UTC Date Time in ISO 8601 for when the template was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the template was last modified.

Response

Response when successfully creating a template.

{ "id": "1a76b24e-bead-4c72-b468-6c3bdfff0ee6", "code": "S7yFqaKqJ8tsnBZH2CEd", "state": "APPROVED", "details": { "language": "EN", "messageType": "BASIC", "emphasizeType": "EMPHASIZE_TYPE_NONE", "categoryCode": "001001", "securityFlag": false, "name": "Example name", "content": "Example content", "extra": "Example extra", "ad": "Example ad", "title": "Example title", "subtitle": "Example subtitle", "imageName": "Example image name", "imageUrl": "https://example-image-url.com", "buttons": [ … ] }, "created": "2023-02-24T10:19:31.372Z", "modified": "2023-02-24T10:19:31.372Z" }
We'd love to hear from you!
Rate this content: